searchNodes=[{"ref":"Mix.Tasks.Sypht.html","title":"Mix.Tasks.Sypht","type":"task","doc":"Invoke SyphtClient.send(path) from the command line."},{"ref":"Mix.Tasks.Sypht.html#run/1","title":"Mix.Tasks.Sypht.run/1","type":"function","doc":"Send the file at path to Sypht and display the decoded response. Examples mix sypht my-file.pdf {:ok, %{ &quot;fileId&quot; =&gt; &quot;5fd47912-70e9-40fb-9af7-afae1969d9a3&quot;, &quot;results&quot; =&gt; %{ &quot;fields&quot; =&gt; [ %{ &quot;boundingBox&quot; =&gt; nil, &quot;confidence&quot; =&gt; 1, &quot;name&quot; =&gt; &quot;generic.structure&quot;, &quot;value&quot; =&gt; %{ ... ] ... } }}"},{"ref":"SyphtClient.html","title":"SyphtClient","type":"module","doc":"Demonstrates the Sypht API document workflow. Parsing Sypht API results is beyond the scope of this client. See https://docs.sypht.com/ for details."},{"ref":"SyphtClient.html#send/1","title":"SyphtClient.send/1","type":"function","doc":"Send the file at path to Sypht. Returns {:ok, decoded_sypht_api_response} if successful, {:error, reason_string} otherwise. This is a potentially long-running method: execute asynchronously."},{"ref":"SyphtClient.Auth.html","title":"SyphtClient.Auth","type":"module","doc":"Acquires and caches Sypht access tokens. Configuration Override these defaults in the :sypht_client section of your config.exs files. auth_url: &quot;https://login.sypht.com/oauth/token&quot; - URL of token acquisition end point auth_ttl: 84_600_000 - Token TTL milliseconds. Sypht tokens last for 24 hours - reacquire after 23 hours 30 minutes auth_retry_on: [500] - Retry token acquisition on server HTTP status auth_initial_backoff: 200 - Initial backoff milliseconds auth_retry_until: 30_000 - Continue backing off and retrying until this many milliseconds have elapsed auth_http_options: [ssl: [{:versions, [:&quot;tlsv1.2&quot;]}]] - Hackney HTTP options for authentication auth_error_prefix: &quot;SyphtAuth failed:&quot; - Prefix authentication error messages with this"},{"ref":"SyphtClient.Auth.html#access_token/0","title":"SyphtClient.Auth.access_token/0","type":"function","doc":"Gets an access token using the client ID and secret in the environment variable SYPHT_API_KEY. Caches and subsequently returns any tokens acquired from Sypht for :auth_ttl milliseconds. Returns {:ok, sypht_bearer_token} if successful, {:error, reason_string} otherwise."},{"ref":"SyphtClient.Result.html","title":"SyphtClient.Result","type":"module","doc":"Gets OCR results from Sypht. Configuration Override these defaults in the :sypht_client section of your config.exs files. result_url: &quot;https://api.sypht.com/result/final&quot; - URL of result end point result_retry_on: [202, 500] - Retry result requests on server HTTP status result_initial_backoff: 200 - Initial backoff milliseconds result_retry_until: 300_000 - Continue backing off and retrying until this many milliseconds have elapsed result_http_options: [timeout: 20_000, recv_timeout: 150_000, ssl: [{:versions, [:&quot;tlsv1.2&quot;]}]] - Hackney HTTP options for results result_error_prefix: &quot;SyphtResult failed:&quot; - Prefix result error messages with this"},{"ref":"SyphtClient.Result.html#get/2","title":"SyphtClient.Result.get/2","type":"function","doc":"Gets an OCR result from Sypht for file_id using access_token. Returns {:ok, decoded_json_response} if successful, {:error, reason_string} otherwise."},{"ref":"SyphtClient.Upload.html","title":"SyphtClient.Upload","type":"module","doc":"Uploads files to Sypht. Configuration Override these defaults in the :sypht_client section of your config.exs files. upload_url: &quot;https://api.sypht.com/fileupload&quot; - URL of file upload end point upload_field_sets: [&quot;sypht.generic&quot;] - Sypht field set(s) to invoke (see https://docs.sypht.com/#section/Introduction) upload_retry_on: [500] - Retry uploads on server HTTP status upload_initial_backoff: 200 - Initial backoff milliseconds upload_retry_until: 60_000 - Continue backing off and retrying until this many milliseconds have elapsed upload_http_options: [ssl: [{:versions, [:&quot;tlsv1.2&quot;]}]] - Hackney HTTP options for uploads upload_error_prefix: &quot;SyphtUpload failed:&quot; - Prefix upload error messages with this"},{"ref":"SyphtClient.Upload.html#file/2","title":"SyphtClient.Upload.file/2","type":"function","doc":"Uploads the file at path to Sypht using access_token. Returns {:ok, file_id} if successful, {:error, reason_string} otherwise."}]